MozillaZine

mycroft sites wont install

Talk about add-ons and extension development.
Spaceman-Spiff
 
Posts: 46
Joined: November 28th, 2002, 6:25 pm

Post Posted September 15th, 2003, 9:35 am

every link i click from here: http://mycroft.mozdev.org/download.html will result a js popup that says that i'm not using Netscape 6 or Mozilla

using one of the unofficial optimized nightly builds: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030914 Firebird/0.6.1+

isnt the mycroft extension already built into Firebird now? or am I missing something?

alanjstr
Moderator

User avatar
 
Posts: 9100
Joined: November 5th, 2002, 4:43 pm
Location: Anywhere but here

Post Posted September 15th, 2003, 9:50 am

You changed your userAgent. Change it back.
Former UMO Admin, Former MozillaZine General Mod
I am rarely on mozillaZine, so please do not send me a private message.
My Old Firefox config files

Spaceman-Spiff
 
Posts: 46
Joined: November 28th, 2002, 6:25 pm

Post Posted September 15th, 2003, 11:36 am

I set my useragent as default, and it's currently showing: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030914 Firebird/0.6.1+

phattmatt
 
Posts: 1
Joined: September 19th, 2003, 7:46 am

Post Posted September 19th, 2003, 7:56 am

Hi,

I too experienced this problem, my useragent was showing:

"Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030917 Firebird/0.6.1+"

which I've not changed from the default.

I assumed it to be a problem with the mycroft site not recognising nightly builds as compatible, therefore I installed the last stable build of firebird. This shows a useragent as follows:

"Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5a) Gecko/20030728 Mozilla Firebird/0.6.1"

The mycroft site now recognises my Firebird as being compatible and allows me to install the search plugins.

(I also tried to change the useragent of the nightly build to verify this but the useragent changer doesn't seem to work on my copy of firebird :()


Can anyone verify this as the problem?

Matt.

mmcguigan

User avatar
 
Posts: 30
Joined: September 19th, 2003, 9:05 pm

Post Posted September 19th, 2003, 9:25 pm

The code we use is documented here:

http://mycroft.mozdev.org/deepdocs/inst ... tml#server

It checks for the browsers ability to install search plugins. It does not care about the UA string. I downloaded the latest firebird nightly and found it did not work as well. The nightly likely has some broken functions and therefore is not allowing one to install search plugins through js.

mat @ mycroft

alanjstr
Moderator

User avatar
 
Posts: 9100
Joined: November 5th, 2002, 4:43 pm
Location: Anywhere but here

Post Posted September 20th, 2003, 9:08 am

Former UMO Admin, Former MozillaZine General Mod
I am rarely on mozillaZine, so please do not send me a private message.
My Old Firefox config files

Steffen

User avatar
 
Posts: 524
Joined: May 10th, 2003, 3:17 pm
Location: Munich

Post Posted September 21st, 2003, 3:24 am


Spaceman-Spiff
 
Posts: 46
Joined: November 28th, 2002, 6:25 pm

Post Posted September 28th, 2003, 10:04 pm

seems to be fixed now in build 2003.09.27
Fixed: 219534 - Can't add new search engines.
http://www.squarefree.com/burningedge/

i haven't tested the build myself
Last edited by Spaceman-Spiff on September 29th, 2003, 8:15 am, edited 1 time in total.

alanjstr
Moderator

User avatar
 
Posts: 9100
Joined: November 5th, 2002, 4:43 pm
Location: Anywhere but here

Post Posted September 29th, 2003, 4:29 am

Resolved.
Last edited by alanjstr on September 29th, 2003, 9:13 am, edited 1 time in total.

Spaceman-Spiff
 
Posts: 46
Joined: November 28th, 2002, 6:25 pm

Post Posted September 29th, 2003, 8:15 am

edited ;)

Steffen

User avatar
 
Posts: 524
Joined: May 10th, 2003, 3:17 pm
Location: Munich

Post Posted September 29th, 2003, 11:13 am

WFM now with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6a) Gecko/20030928 Firebird/0.7+.

Spaceman-Spiff
 
Posts: 46
Joined: November 28th, 2002, 6:25 pm

Post Posted October 1st, 2003, 12:07 am

hmm... weird, using Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6a) Gecko/20030929 Firebird/0.7+ (aebrahim) but it wont install


Error
Bug in Mozilla Firebird

Builds between 2003-09-14 and 2003-09-27 have a bug which prevents you to install search plugins from this site. Please refer to Bug 219534. If you are seing this, then you might want to download a newer version.


but i'm already using 2003-09-29

anyone still having this problem?


EDIT: it's working fine now after upgrading to build 10-01

Ă„kiidoll

User avatar
 
Posts: 5473
Joined: August 16th, 2003, 2:03 pm
Location: USA

Post Posted October 3rd, 2003, 9:57 am

Spaceman-Spiff wrote:every link i click from here: http://mycroft.mozdev.org/download.html will result a js popup that says that i'm not using Netscape 6 or Mozilla

using one of the unofficial optimized nightly builds: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5b) Gecko/20030914 Firebird/0.6.1+

isnt the mycroft extension already built into Firebird now? or am I missing something?


I just tested in Mozilla 1.4.1/Firebird 0.6.1+
Tried installing about 15 in each browser from the Top 30 list,
everything is running well for me, my version of Firebird is
from 9-3-3 so the 9-27-3 issue has not manifest itself for me.
FWIW I never change my UA string, Im proud to be a Mozilla
user.
P.S. There is a New Extension Manager for Thunderbird
Home page:http://quickmanager.mozdev.org/
Bijugc built a beautiful extension. :p

Geck0 r0cks

Aebrahim O1 G7
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.5b) Gecko/20030903 Firebird/0.6.1+
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4.1) Gecko/20030906
A prisoner of Christ Jesus, by His stripes I was healed

Return to Extension Development


Who is online

Users browsing this forum: No registered users and 0 guests